Share via


Pipelines - Create Run

Creates a run of a pipeline.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/pipelines/{pipelineName}/createRun?api-version=2018-06-01
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/pipelines/{pipelineName}/createRun?api-version=2018-06-01&referencePipelineRunId={referencePipelineRunId}&isRecovery={isRecovery}&startActivityName={startActivityName}&startFromFailure={startFromFailure}

URI Parameters

Name In Required Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The factory name.

pipelineName
path True

string

minLength: 1
maxLength: 260
pattern: ^[A-Za-z0-9_][^<>*#.%&:\\+?/]*$

The pipeline name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

isRecovery
query

boolean

Recovery mode flag. If recovery mode is set to true, the specified referenced pipeline run and the new run will be grouped under the same groupId.

referencePipelineRunId
query

string

The pipeline run identifier. If run ID is specified the parameters of the specified run will be used to create a new run.

startActivityName
query

string

In recovery mode, the rerun will start from this activity. If not specified, all activities will run.

startFromFailure
query

boolean

In recovery mode, if set to true, the rerun will start from failed activities. The property will be used only if startActivityName is not specified.

Responses

Name Type Description
200 OK

CreateRunResponse

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Pipelines_CreateRun

Sample request

POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/pipelines/examplePipeline/createRun?api-version=2018-06-01&referencePipelineRunId=

{
  "OutputBlobNameList": [
    "exampleoutput.csv"
  ]
}

Sample response

Date: Sat, 16 Jun 2018 00:37:48 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: 5c2b442b-d360-43ec-9268-f923f88f31fd
x-ms-ratelimit-remaining-subscription-writes: 1190
x-ms-request-id: 5c2b442b-d360-43ec-9268-f923f88f31fd
{
  "runId": "2f7fdb90-5df1-4b8e-ac2f-064cfa58202b"
}

Definitions

Name Description
CloudError

The object that defines the structure of an Azure Data Factory error response.

CreateRunResponse

Response body with a run identifier.

CloudError

The object that defines the structure of an Azure Data Factory error response.

Name Type Description
error.code

string

Error code.

error.details

CloudError[]

Array with additional error details.

error.message

string

Error message.

error.target

string

Property name/path in request associated with error.

CreateRunResponse

Response body with a run identifier.

Name Type Description
runId

string

Identifier of a run.